CREATE TABLE irc_cand_email_attachments (
    CAND_EMAIL_ATTACHMENT_ID    NUMBER(18, 0) ,
    CAND_EMAIL_MESSAGE_ID       NUMBER(18, 0)     NOT NULL,
    ATTACHED_DOCUMENT_ID        NUMBER(18, 0) ,
    FILE_NAME                   VARCHAR2(4000)    NOT NULL,
    CONTENT_TYPE                VARCHAR2(1024)    NOT NULL,
    FILE_SIZE                   NUMBER(18, 0)     NOT NULL,
    INLINE_FLAG                 VARCHAR2(4)       NOT NULL,
    CONTENT_ID                  VARCHAR2(4000),
    STATUS                      VARCHAR2(80)      NOT NULL,
    ERROR_MESSAGE               VARCHAR2(4000),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CAND_EMAIL_ATTACHMENT_ID    NUMBER(18, 0) ,
    CAND_EMAIL_MESSAGE_ID       NUMBER(18, 0)     NOT NULL,
    ATTACHED_DOCUMENT_ID        NUMBER(18, 0) ,
    FILE_NAME                   VARCHAR2(4000)    NOT NULL,
    CONTENT_TYPE                VARCHAR2(1024)    NOT NULL,
    FILE_SIZE                   NUMBER(18, 0)     NOT NULL,
    INLINE_FLAG                 VARCHAR2(4)       NOT NULL,
    CONTENT_ID                  VARCHAR2(4000),
    STATUS                      VARCHAR2(80)      NOT NULL,
    ERROR_MESSAGE               VARCHAR2(4000),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_irc_cand_email_attachments PRIMARY KEY (CAND_EMAIL_ATTACHMENT_ID, CAND_EMAIL_ATTACHMENT_ID)
);
